Signed-off-by: Samuel Pitoiset <samuel.pitoiset@gmail.com>
Reviewed-by: Michel Dänzer <mdaenzer@redhat.com>
Part-of: <https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/3960>
x86_test-vk:
extends: x86_build
variables:
- DEBIAN_TAG: &x86_test-vk "2020-03-04"
+ DEBIAN_TAG: &x86_test-vk "2020-03-05"
# Can only be triggered manually on personal branches because RADV is the only
# driver that does Vulkan testing at the moment.
rules:
--- /dev/null
+#!/bin/bash
+
+set -ex
+
+git clone https://github.com/ValveSoftware/Fossilize.git
+cd Fossilize
+git checkout 6b5b570008c9ab5269e341f04c811fe49a1bb72c
+git submodule update --init
+mkdir build
+cd build
+cmake .. -DCMAKE_BUILD_TYPE=Release -G Ninja
+ninja -C . -j4 install
+cd ../..
+rm -rf Fossilize
. .gitlab-ci/build-cts-runner.sh
+############### Build Fossilize
+
+. .gitlab-ci/build-fossilize.sh
+
############### Build dEQP VK
. .gitlab-ci/build-deqp-vk.sh